[CCBC-134] Repo refuses to download packages: "Package does not match intended download" Created: 04/Dec/12  Updated: 10/Jan/13  Resolved: 10/Jan/13

Status: Closed
Project: Couchbase C client library libcouchbase
Component/s: None
Affects Version/s: 2.0.0
Fix Version/s: None
Security Level: Public

Type: Bug Priority: Major
Reporter: Jeff Minard Assignee: Sergey Avseyev
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified
Environment: CentOS 5.8


 Description   
Doing this:

wget -O/etc/yum.repos.d/couchbase.repo http://packages.couchbase.com/rpm/couchbase-centos55-x86_64.repo
yum clean all
yum install -y libcouchbase2.x86_64 libcouchbase-devel

Results in a failed install/update with these errors:

[root@host ~]# yum install -y libcouchbase2.x86_64 libcouchbase-devel
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirrors.sonic.net
 * centosplus: mirror.hmc.edu
 * epel: mirrors.solfo.com
 * extras: mirror.stanford.edu
 * updates: mirrors.arpnetworks.com
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package libcouchbase-devel.x86_64 0:2.0.0-1 set to be updated
--> Processing Dependency: libcouchbase2-core for package: libcouchbase-devel
--> Processing Dependency: libcouchbase.so.2()(64bit) for package: libcouchbase-devel
---> Package libcouchbase2.x86_64 0:2.0.0-1 set to be updated
--> Processing Dependency: libcouchbase2-backend for package: libcouchbase2
--> Running transaction check
---> Package libcouchbase2-core.x86_64 0:2.0.0-1 set to be updated
---> Package libcouchbase2-libev.x86_64 0:2.0.0-1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=======================================================================
 Package Arch Version Repository Size
=======================================================================
Installing:
 libcouchbase-devel x86_64 2.0.0-1 couchbase 52 k
 libcouchbase2 x86_64 2.0.0-1 couchbase 26 k
Installing for dependencies:
 libcouchbase2-core x86_64 2.0.0-1 couchbase 82 k
 libcouchbase2-libev x86_64 2.0.0-1 couchbase 31 k

Transaction Summary
=======================================================================
Install 4 Package(s)
Upgrade 0 Package(s)

Total download size: 191 k
Downloading Packages:
(1/4): libcouchbase2-2.0.0-1.x86_64.rpm | 26 kB 00:00
http://packages.couchbase.com/rpm/5.5/x86_64/libcouchbase2-2.0.0-1.x86_64.rpm: [Errno -1] Package does not match intended download
Trying other mirror.
(2/4): libcouchbase2-libev-2.0.0-1.x86_64.rpm | 31 kB 00:00
http://packages.couchbase.com/rpm/5.5/x86_64/libcouchbase2-libev-2.0.0-1.x86_64.rpm: [Errno -1] Package does not match intended download
Trying other mirror.
(3/4): libcouchbase-devel-2.0.0-1.x86_64.rpm | 52 kB 00:01
http://packages.couchbase.com/rpm/5.5/x86_64/libcouchbase-devel-2.0.0-1.x86_64.rpm: [Errno -1] Package does not match intended download
Trying other mirror.
(4/4): libcouchbase2-core-2.0.0-1.x86_64.rpm | 82 kB 00:00
http://packages.couchbase.com/rpm/5.5/x86_64/libcouchbase2-core-2.0.0-1.x86_64.rpm: [Errno -1] Package does not match intended download
Trying other mirror.


Error Downloading Packages:
  libcouchbase2-2.0.0-1.x86_64: failure: libcouchbase2-2.0.0-1.x86_64.rpm from couchbase: [Errno 256] No more mirrors to try.
  libcouchbase2-core-2.0.0-1.x86_64: failure: libcouchbase2-core-2.0.0-1.x86_64.rpm from couchbase: [Errno 256] No more mirrors to try.
  libcouchbase-devel-2.0.0-1.x86_64: failure: libcouchbase-devel-2.0.0-1.x86_64.rpm from couchbase: [Errno 256] No more mirrors to try.
  libcouchbase2-libev-2.0.0-1.x86_64: failure: libcouchbase2-libev-2.0.0-1.x86_64.rpm from couchbase: [Errno 256] No more mirrors to try.

 Comments   
Comment by Sergey Avseyev [ 04/Dec/12 ]
Could you run yum check-update, just to ensure everything in sync?
Comment by Jeff Minard [ 04/Dec/12 ]
Yeah, doing

# yum clean all
# yum check-update

Shows a few out of data packages (httpd, iptables, kernel, etc) just general "haven't updated my dev machine in a while" stuff. Install command still fails the same.
Comment by Jeff Minard [ 04/Dec/12 ]
Possibly bad meta data? http://forums.famillecollet.com/viewtopic.php?id=402
Comment by Jeff Minard [ 04/Dec/12 ]
...aaaand now it's working. Maybe the repo files were slow to update? Or perhaps you fixed it? Either way, it installed now after another round of clean && check-update
Generated at Thu Aug 21 16:49:57 CDT 2014 using JIRA 5.2.4#845-sha1:c9f4cc41abe72fb236945343a1f485c2c844dac9.